Upstream information

CVE-2022-46751 at MITRE

Description

Improper Restriction of XML External Entity Reference, XML Injection (aka Blind XPath Injection) vulnerability in Apache Software Foundation Apache Ivy.This issue affects any version of Apache Ivy prior to 2.5.2. When Apache Ivy prior to 2.5.2 parses XML files - either its own configuration, Ivy files or Apache Maven POMs - it will allow downloading external document type definitions and expand any entity references contained therein when used. This can be used to exfiltrate data, access resources only the machine running Ivy has access to or disturb the execution of Ivy in different ways. Starting with Ivy 2.5.2 DTD processing is disabled by default except when parsing Maven POMs where the default is to allow DTD processing but only to include a DTD snippet shipping with Ivy that is needed to deal with existing Maven POMs that are not valid XML files but are nevertheless accepted by Maven. Access can be be made more lenient via newly introduced system properties where needed. Users of Ivy prior to version 2.5.2 can use Java system properties to restrict processing of external DTDs, see the section about "JAXP Properties for External Access restrictions" inside Oracle's "Java API for XML Processing (JAXP) Security Guide".

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.2 7.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:L CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None Low
Availability Impact Low Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1214422 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
  • apache-ivy >= 2.5.2-150200.3.9.1
Patchnames:
SUSE-Storage-7.1-2023-4367
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Development Tools 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • apache-ivy >= 2.5.2-150200.3.9.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP4-2023-4367
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Development Tools 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • apache-ivy >= 2.5.2-150200.3.9.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP5-2023-4367
SUSE Linux Enterprise Desktop 15 SP6
SUSE Linux Enterprise High Performance Computing 15 SP6
SUSE Linux Enterprise Module for Development Tools 15 SP6
SUSE Linux Enterprise Server 15 SP6
SUSE Linux Enterprise Server for SAP Applications 15 SP6
  • apache-ivy >= 2.5.2-150200.3.9.1
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP6 GA apache-ivy-2.5.2-150200.3.9.1
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • apache-ivy >= 2.5.2-150200.3.9.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-4367
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • apache-ivy >= 2.5.2-150200.3.9.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-4367
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • apache-ivy >= 2.5.2-150200.3.9.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-4367
SUSE Linux Enterprise Server 15 SP2-LTSS
  • apache-ivy >= 2.5.2-150200.3.9.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-4367
SUSE Linux Enterprise Server 15 SP3-LTSS
  • apache-ivy >= 2.5.2-150200.3.9.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-4367
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • apache-ivy >= 2.5.2-150200.3.9.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2023-4367
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • apache-ivy >= 2.5.2-150200.3.9.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-4367
openSUSE Leap 15.4
  • apache-ivy >= 2.5.2-150200.3.9.1
  • apache-ivy-javadoc >= 2.5.2-150200.3.9.1
Patchnames:
openSUSE-SLE-15.4-2023-4367
openSUSE Leap 15.5
  • apache-ivy >= 2.5.2-150200.3.9.1
  • apache-ivy-javadoc >= 2.5.2-150200.3.9.1
Patchnames:
openSUSE-SLE-15.5-2023-4367
openSUSE Tumbleweed
  • apache-ivy >= 2.5.2-1.1
  • apache-ivy-javadoc >= 2.5.2-1.1
Patchnames:
openSUSE-Tumbleweed-2024-13148


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 apache-ivy Released
SUSE Linux Enterprise Desktop 15 SP5 apache-ivy Released
SUSE Linux Enterprise Desktop 15 SP6 apache-ivy Released
SUSE Linux Enterprise High Performance Computing 15 SP5 apache-ivy Released
SUSE Linux Enterprise High Performance Computing 15 SP6 apache-ivy Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 apache-ivy Released
SUSE Linux Enterprise Module for Development Tools 15 SP6 apache-ivy Released
SUSE Linux Enterprise Server 15 SP5 apache-ivy Released
SUSE Linux Enterprise Server 15 SP6 apache-ivy Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 apache-ivy Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 apache-ivy Released
SUSE Manager Proxy 4.3 apache-ivy Released
SUSE Manager Retail Branch Server 4.3 apache-ivy Released
SUSE Manager Server 4.3 apache-ivy Released
openSUSE Leap 15.5 apache-ivy Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 apache-ivy Released
SUSE Linux Enterprise High Performance Computing 15 SP2 apache-ivy Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS apache-ivy Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS apache-ivy Released
SUSE Linux Enterprise High Performance Computing 15 SP3 apache-ivy Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS apache-ivy Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS apache-ivy Released
SUSE Linux Enterprise High Performance Computing 15 SP4 apache-ivy Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS apache-ivy Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS apache-ivy Affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 apache-ivy Affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 apache-ivy Affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 apache-ivy Released
SUSE Linux Enterprise Server 15 SP2 apache-ivy Affected
SUSE Linux Enterprise Server 15 SP2-LTSS apache-ivy Released
SUSE Linux Enterprise Server 15 SP3 apache-ivy Affected
SUSE Linux Enterprise Server 15 SP3-LTSS apache-ivy Released
SUSE Linux Enterprise Server 15 SP4 apache-ivy Released
SUSE Linux Enterprise Server 15 SP4-LTSS apache-ivy Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 apache-ivy Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 apache-ivy Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 apache-ivy Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Enterprise Storage 7 apache-ivy Affected
SUSE Linux Enterprise Desktop 15 SP2 apache-ivy Affected
SUSE Linux Enterprise Desktop 15 SP3 apache-ivy Affected
SUSE Linux Enterprise Real Time 15 SP2 apache-ivy Affected
SUSE Linux Enterprise Real Time 15 SP3 apache-ivy Affected
SUSE Linux Enterprise Real Time 15 SP4 apache-ivy Affected
SUSE Linux Enterprise Server 15 SP2-BCL apache-ivy Affected
SUSE Linux Enterprise Server 15 SP3-BCL apache-ivy Affected
SUSE Manager Proxy 4.1 apache-ivy Affected
SUSE Manager Proxy 4.2 apache-ivy Affected
SUSE Manager Retail Branch Server 4.1 apache-ivy Affected
SUSE Manager Retail Branch Server 4.2 apache-ivy Affected
SUSE Manager Server 4.1 apache-ivy Affected
SUSE Manager Server 4.2 apache-ivy Affected
openSUSE Leap 15.4 apache-ivy Released


SUSE Timeline for this CVE

CVE page created: Sun Aug 20 22:00:26 2023
CVE page last modified: Sun Jun 16 02:32:16 2024